package com.zt.plat.module.qms.business.bus.service;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;

/**
 * <b>SampleAnalysisAuditService</b>
 * <p>
 * 更新历史：
 * <pre> 版本         更新时间            更新者        更新内容<hr/>
 * V1.0      2025年9月29日          wxr         Add</pre>
 * <b>Copyright (C)  云南志者竟成科技有限公司</b> 
 * </p>
 * @author 王兴荣<wxr@wangxingrong.com>
 * @version V1.0 
 * @since 2025年9月29日
 */
public interface SampleAnalysisAuditService {

	void crossAuditByByTaskId(Long businessAssayTaskId, String auditStatus);

	JSONObject getSampleResultAssessmentList(Long configAssayMethodId, String assessmentStatus);

	JSONObject getParallelResultAssessment(Long businessSubSampleId, Long configAssayMethodId);

	JSONObject getDoubleCupResultAssessment(Long businessSubParentSampleId, Long configAssayMethodId);

	void assessmentDataReporting(Long businessSubSampleId, Long configAssayMethodId);

	void createReAnalysis(Long businessSubSampleId, Long configAssayMethodId);

	JSONObject modifyParallelResultAssessment(Long businessSubSampleId, Long configAssayMethodId, Long businessSubSampleAssessmentId, List<Long> businessAssayProjectDataIds);

}
